
From: Tom Rini <trini@kernel.crashing.org>

A trivial fix for the __iomem warnings in arch/ppc/syslib/todc_time.c

Signed-off-by: Randy Vinson <rvinson@mvista.com>
Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/syslib/todc_time.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc/syslib/todc_time.c~ppc32-fix-__iomem-warnings-in-todc-code arch/ppc/syslib/todc_time.c
--- 25/arch/ppc/syslib/todc_time.c~ppc32-fix-__iomem-warnings-in-todc-code	Fri Nov 19 15:32:17 2004
+++ 25-akpm/arch/ppc/syslib/todc_time.c	Fri Nov 19 15:32:17 2004
@@ -81,13 +81,13 @@
 u_char
 todc_direct_read_val(int addr)
 {
-	return readb(todc_info->nvram_data + addr);
+	return readb((void __iomem *)(todc_info->nvram_data + addr));
 }
 
 void
 todc_direct_write_val(int addr, unsigned char val)
 {
-	writeb(val, todc_info->nvram_data + addr);
+	writeb(val, (void __iomem *)(todc_info->nvram_data + addr));
 	return;
 }
 
_
